%define _jarsign_opts --nocopy

%define as_major 5
%define as_minor 1
%define as_rev 1
%define jbossas_version %{as_major}.%{as_minor}.%{as_rev}

%define jms_option_rel 1

%define jbossdir %{_localstatedir}/lib/jbossas
%define jbhomedir %{_datadir}/jbossas
%define jbjavadir %{_javadir}/jbossas

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

Summary:      A JMS provider based on JBoss Messaging for the JBoss EAP AS 
Name:          jbossas-messaging511
Version:       %{jbossas_version}
Release:       17.4%{?dist}
Epoch:         0
License:       LGPL
Group:         Development
URL:           http://www.jboss.org/

BuildRequires:	ant
BuildRequires:	jpackage-utils,zip,unzip
BuildRequires:	jbossas-messaging >= 5.1.1
BuildRequires:  jboss-messaging

Obsoletes:   jbossas-messaging <= 0:5.1.0-53%{?dist}
Provides:    jbossas-messaging = %{epoch}:%{version}-%{release}
Provides:    jbossas-jms-provider = %{epoch}:%{version}-%{jms_option_rel}
Conflicts:   jbossas-hornetq
Requires:    jpackage-utils >= 0:1.7.3
Requires:    jboss-messaging >= 0:1.4.8

BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:    noarch

%description
A JMS provider based on JBoss Messaging for the JBoss EAP AS
Use either this or the jbossas-hornetq JMS provider
Only one can be installed and once installed it can no longer be replace

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d -p -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/jbossas/all/props
install -d -p -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/jbossas/default/props
install -d -p -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/jbossas/production/props
install -d -p -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/jbossas/standard/props
install -d -p -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/jbossas/web
cp -pr %{_sysconfdir}/jbossas/* $RPM_BUILD_ROOT%{_sysconfdir}/jbossas

install -d -p -m 755 $RPM_BUILD_ROOT%{jbjavadir}
install -d -p -m 755 $RPM_BUILD_ROOT%{jbhomedir}
install -d -p -m 755 $RPM_BUILD_ROOT%{jbossdir}/common/lib
install -d -p -m 755 $RPM_BUILD_ROOT%{jbossdir}/server

cp -pr %{jbossdir}/* $RPM_BUILD_ROOT%{jbossdir}

# On RHEL-6 the signed JARs are on a different place
export JPP_SIGNED=2

ln -s $(build-classpath jboss-messaging.jar) $RPM_BUILD_ROOT%{jbjavadir}/jboss-messaging.jar
ln -s $(build-classpath jboss-messaging.jar) $RPM_BUILD_ROOT%{jbjavadir}/jboss-messaging-5.1.1.jar
cp -pr %{jbjavadir}/*-int* $RPM_BUILD_ROOT%{jbjavadir}

%clean
rm -Rf $RPM_BUILD_ROOT

%pre
JBOSS_SHELL=/sbin/nologin
%{_sbindir}/groupadd -r jboss 2>/dev/null || :
%{_sbindir}/useradd -c JBossAS -r -s $JBOSS_SHELL -d %{jbossdir} -g jboss jboss 2>/dev/null || :

%files
%defattr(0644,jboss,jboss,0755)
%dir %{_javadir}
#%dir %{jbhomedir}
%dir %{jbossdir}
# files deleted:
%{jbossdir}/common/lib/jboss-messaging-int.jar
%{jbossdir}/common/lib/jboss-messaging.jar
%{_javadir}/jbossas/jboss-messaging-%{version}.jar
%{_javadir}/jbossas/jboss-messaging-int-%{version}.jar
%{_javadir}/jbossas/jboss-messaging-int.jar
%{_javadir}/jbossas/jboss-messaging.jar
%dir %{jbossdir}/server/all/deploy/messaging
%dir %{jbossdir}/server/default/deploy/messaging
%dir %{jbossdir}/server/production/deploy/messaging
%dir %{jbossdir}/server/standard/deploy/messaging
%config(noreplace) %{jbossdir}/server/all/deploy/messaging/connection-factories-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/messaging/destinations-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/messaging/hsqldb-persistence-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/messaging/jms-ds.xml
%config(noreplace) %{jbossdir}/server/all/deploy/messaging/legacy-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/messaging/messaging-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/all/deploy/messaging/messaging-service.xml
%config(noreplace) %{jbossdir}/server/all/deploy/messaging/remoting-bisocket-service.xml
%config(noreplace) %{jbossdir}/server/default/deploy/messaging/connection-factories-service.xml
%config(noreplace) %{jbossdir}/server/default/deploy/messaging/destinations-service.xml
%config(noreplace) %{jbossdir}/server/default/deploy/messaging/hsqldb-persistence-service.xml
%config(noreplace) %{jbossdir}/server/default/deploy/messaging/jms-ds.xml
%config(noreplace) %{jbossdir}/server/default/deploy/messaging/legacy-service.xml
%config(noreplace) %{jbossdir}/server/default/deploy/messaging/messaging-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deploy/messaging/messaging-service.xml
%config(noreplace) %{jbossdir}/server/default/deploy/messaging/remoting-bisocket-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/messaging/connection-factories-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/messaging/destinations-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/messaging/hsqldb-persistence-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/messaging/jms-ds.xml
%config(noreplace) %{jbossdir}/server/production/deploy/messaging/legacy-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/messaging/messaging-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deploy/messaging/messaging-service.xml
%config(noreplace) %{jbossdir}/server/production/deploy/messaging/remoting-bisocket-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/messaging/connection-factories-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/messaging/destinations-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/messaging/hsqldb-persistence-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/messaging/jms-ds.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/messaging/legacy-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/messaging/messaging-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/messaging/messaging-service.xml
%config(noreplace) %{jbossdir}/server/standard/deploy/messaging/remoting-bisocket-service.xml
%config(noreplace) %{jbossdir}/server/all/deployers/messaging-definitions-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/messaging-definitions-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/messaging-definitions-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/messaging-definitions-jboss-beans.xml
#%%config(noreplace) %{jbossdir}/server/web/deployers/messaging-definitions-jboss-beans.xml
%config(noreplace) %{_sysconfdir}/jbossas/*/props/messaging-roles.properties
%config(noreplace) %{_sysconfdir}/jbossas/*/props/messaging-users.properties
%config(noreplace) %{_sysconfdir}/jbossas/*/jbossts-properties.xml
%config(noreplace) %{_sysconfdir}/jbossas/*/login-config.xml
# This RAR is now a directory, so it is not a file to be linked to
#%%{_javadir}/jbossas/rars/jms-ra.rar
%{jbossdir}/server/all/deploy/jms-ra.rar
%{jbossdir}/server/default/deploy/jms-ra.rar
%{jbossdir}/server/production/deploy/jms-ra.rar
%{jbossdir}/server/standard/deploy/jms-ra.rar
# updated files:
%config(noreplace) %{jbossdir}/server/all/deployers/ejb-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/standard/deployers/ejb-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/default/deployers/ejb-deployer-jboss-beans.xml
%config(noreplace) %{jbossdir}/server/production/deployers/ejb-deployer-jboss-beans.xml

%changelog
* Thu Jul 07 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.1-4
- Adjust Obsoletes

* Thu Jul 07 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.1-3
- Add Provides and Obsoletes for relevant jbossas-messaging NVRs

* Tue Jul 05 2011 Martha Benitez <mbenitez@redhat.com> 0:5.1.1-2
- Decrease jms_option_rel

* Mon Jul 04 2011 Martha Benitez <mbenitez@redhat.com> 0:5.1.1-1
- First build
- Increase jms_option_rel
